/*LOADER CENTER*/
.loader-wrapper-external {
    position: fixed;
    background: rgba(255,255,255, 0.5) !important;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
}


.loader-wrapper-external-splash {
    position: fixed;
    background: #FFF;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
}

.loader-wrapper-modal {
    background-color: rgba(166, 166, 166, 0.7) !important;
}

.loader-splash {
    z-index: 1050;
}


.loader-loading {
    z-index: 1030;
}
/*.loader-wrapper
{
    position: fixed;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    z-index: 10;
    top: 50%;
}*/

.loader-wrapper {
    position: fixed;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    z-index: 10;
    top: 50%;
}

.tp_blink_update_version {
    animation: blinker 1.0s linear infinite;
}

@keyframes blinker {
    50% {
        opacity: 0.5;
    }
}

.float-right
{
    float:right;
}

.float-left {
    float: left;
}

.remove-validation {
    padding-right: inherit;
    background-image: inherit;
    background-repeat: inherit;
    background-position: inherit;
    background-size: inherit;
}

.info-button {
    color: #497CB1 !important;
    text-decoration: none;
}

div.k-dropzone {
    border: 1px solid red;
}

.customDropZone.k-dropzone-active {
    border: 1px solid yellow;
}

.customDropZone.k-dropzone-active.k-dropzone-hovered {
    border: 1px solid green;
}

div.k-dropzone {
    border: 1px solid red;
}



/* FIX FOR FULL WIDTH KENDO WIDGET */
.k-widget.k-multiselect, .k-widget.k-combobox, .k-widget.k-datepicker, .k-widget.k-datetimepicker {
    width: 100%;
    padding-right: 0px;
}

.k-filter-menu-container .k-widget.k-multiselect, .k-filter-menu-container .k-widget.k-combobox, .k-filter-menu-container .k-widget.k-datepicker, .k-filter-menu-container .k-widget.k-datetimepicker {
    width: initial ;
    padding-right: 0px;
}

.hide-wrapper-upload .k-widget.k-upload .k-action-buttons {
    display: none;
}
.nc-yellow {
    background-color: #FFFF99 !important;
}
.nc-gray {
    background-color: #999999 !important;
}
.nc-white {
    background-color: #FFFFFF !important;
}
/* BOOTSTRAP OVERWRITES */
.supplier-management-section-files form.ng-valid {
    padding-right: 0;
}
/* FIXES */
.non-conformity-add-edit input[name=QtyS] {
    max-width: 70px;
    display: inline;
}
.non-conformity-add-edit .ng-valid {
    padding-right: 0 !important;
}
input.save-father {
    line-height: 20px;
    margin-top: 4px;
}
.warranty-add-edit .row {
    margin-bottom: 15px;
}
.warranty-add-edit a[name=new-debit-note] {
    height: 100%;
    display: block;
}
.warranty-add-edit a[name=new-debit-note] i {
    margin-top: 4%;
}

.tp-k-tabstrip {
    border-width: inherit;
    border-color: inherit;
    box-sizing: inherit;
    outline: inherit;
    font-family: inherit;
    font-size: inherit;
    line-height: inherit;
    color: inherit;
    background-color: inherit;
    display: inherit;
    flex-direction: inherit;
    -webkit-touch-callout: inherit;
    -webkit-tap-highlight-color: inherit;
}

    .tp-k-tabstrip .k-tabstrip-item {
        font-weight: 500;
    }

.square-switch.square-switch-disabled
{
    opacity:0.5;
}

.k-widget.k-daterangepicker .k-textbox-container, .k-widget.k-daterangepicker .k-widget.k-dateinput.k-state-default {
    width: 49%
}

.expired-bg-danger {
    background-color: rgba(255, 0, 0, 0.8);
    color: rgb(255, 255, 255);
}

.expired-bg-warning {
    background-color: rgba(255, 255, 153, 0.8);
}

.k-widget.k-daterangepicker span.k-textbox-container {
    padding-top: 0px !important;
}

.remove-border-required {
    border-color: #b9bfc4 !important;
}



.table-wrapper-doc-type-roles th.doc-type-description {
    background-color: #FFFF99;
}

.table-wrapper-doc-type-roles .type-doc-description {
    width: 200px;
}

.table-wrapper-doc-type-roles td.type-doc-description {
    background-color: #52b5ff;
}

.table-wrapper-doc-type-roles .type-doc-description {
    width: 200px;
    word-wrap: break-word;
    white-space: normal;
}



.table-wrapper-logistic-index-suppliers, .table-wrapper-doc-type-roles {
    display: grid;
    grid-template-columns: repeat(1, minmax(0, 1fr));
    overflow: auto;
    white-space: nowrap;
    height: 71vh;
}

    .table-wrapper-logistic-index-suppliers td, .table-wrapper-logistic-index-suppliers th, .table-wrapper-doc-type-roles td, .table-wrapper-doc-type-roles th {
        border: 1px solid #dee2e6
    }

    .table-wrapper-logistic-index-suppliers th.year-month {
        background-color: #FFFF99;
    }
    .table-wrapper-logistic-index-suppliers .supplier-code-description {
        width: 200px;
    }

    .table-wrapper-logistic-index-suppliers td.supplier-code-description {
        background-color: #52b5ff;
    }

    .table-wrapper-logistic-index-suppliers .year-month {
        width: 400px;
    }


    .table-wrapper-logistic-index-suppliers .select-all, .table-wrapper-doc-type-roles .select-all {
        width: 150px;
    }
    .table-wrapper-logistic-index-suppliers td.select-all, .table-wrapper-doc-type-roles td.select-all {
        background-color: #ff9439;
    }
.table-wrapper-logistic-index-suppliers .input-number
{
    max-width:30%;
}
.table-fix-head {
    overflow: auto;
    height: 50px;
}

.table-fix-head thead th {
    position: sticky;
    top: 0;
    z-index: 1;
}
.sticky-col {
    position: sticky;
    background-color: white;
    left: 0px;
    z-index: 1;
}

.sticky-col-2 {
    position: sticky;
    background-color: white;
    left: 220px;
    z-index: 1;
}